| Home | Libraries | People | FAQ | More

## Function template operator<<

boost::gregorian::operator<< —

operator<< for gregorian::greg_weekday typically streaming: Sun, Mon, Tue, ...

## Synopsis

    template<typename charT, typename traits>
      std::basic_ostream< charT, traits > &
      operator<<(std::basic_ostream< charT, traits > & os,
                 const greg_weekday & wd);

## Description

Uses the date facet to determine output string as well as selection of long or short string. Default if no facet is installed is to output a 3 char english string for the day of the week.

| Copyright © 2001-2004 CrystalClear Software, Inc